| Dakota Version 6.19 Explore and Predict with Confidence

Public Member Functions | Public Attributes | List of all members
StringScale Struct Reference

Data structure for storing string-valued dimension scale. More...

## Public Member Functions
| StringScale (const std::string &in_label, const char *const in_items[], const int &len, ScaleScope in_scope=ScaleScope::UNSHARED)
| Constructor that takes a C-style array of C-strings.
| StringScale (const std::string &in_label, std::initializer_list< const char * > in_items, ScaleScope in_scope=ScaleScope::UNSHARED)
| Constructor that takes and initializer list of string literals.
| StringScale (const std::string &in_label, std::initializer_list< String > in_items, ScaleScope in_scope=ScaleScope::UNSHARED)
| Constructor that takes and initializer list of strings.
| StringScale (const std::string &in_label, const std::vector< String > &in_items, ScaleScope in_scope=ScaleScope::UNSHARED)
| Constructor that takes a vector of strings.
| StringScale (const std::string &in_label, std::vector< const char * > in_items, ScaleScope in_scope=ScaleScope::UNSHARED)
| Constructor that takes a vector of C-style strings.
| StringScale (const std::string &in_label, const StringMultiArrayConstView in_items, ScaleScope in_scope=ScaleScope::UNSHARED)
| Constructor that takes a StringMultiArrayConstView.
| StringScale (const std::string &in_label, const std::vector< String > &in_items, const size_t first, const size_t num, ScaleScope in_scope=ScaleScope::UNSHARED)
| Constructor that takes indexes into a StringArray.
| StringScale (const std::string &in_label, std::vector< std::vector< const char * > > in_items, ScaleScope in_scope=ScaleScope::UNSHARED)
| Constructor that takes a vector<vector<const char *> > to produce a 2D scale.

## Public Attributes
std::string | label
| Scale label.
ScaleScope | scope
| Scale scope (whether the scaled is shared among responses)
std::vector< const char * > | items
| Pointers to the strings that make up the scale.
std::vector< String > | cache
| Cache of strings that back the pointers; used only to improve the safety of initializer_list<String> constructor.
int | numCols
| Number of columns; equals length of scale when 1D.
bool | isMatrix
| 2d or 1d?

## Detailed Description

Data structure for storing string-valued dimension scale.

The documentation for this struct was generated from the following file:

- dakota_results_types.hpp